#ifndef KEYBOARD_H
#define KEYBOARD_H

/* Functions for non-blocking key-input and multiple keys.
from https://prizm.cemetech.net/index.php?title=Debouncing_Multiple-Keypress_PRGM_GetKey
*/

#include <fxcg/keyboard.h>

// Update the key buffer
void keyupdate(void);

/* Check whether a specific key was pressed.
You can use the KEY_PRGM_... constants defined in "fxcg/keyboard.h" */
int keydownlast(int basic_keycode);

// Returns true when the specified key was pressed before the last time keyupdate() was called
int keydownhold(int basic_keycode);

#endif